Bug 1878847 (CVE-2020-25286) - CVE-2020-25286 wordpress: comments from password-protected posts and pages can be displayed under certain conditions
Summary: CVE-2020-25286 wordpress: comments from password-protected posts and pages ca...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-25286
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1878848
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-14 16:32 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-10-28 05:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-28 05:27:10 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-09-14 16:32:54 UTC
In wp-includes/comment-template.php in WordPress before 5.4.2, comments from a post or page could sometimes be seen in the latest comments even if the post or page was not public.

Reference:
https://wordpress.org/news/2020/06/wordpress-5-4-2-security-and-maintenance-release/

Upstream patch:
https://core.trac.wordpress.org/changeset/47984

Comment 1 Guilherme de Almeida Suckevicz 2020-09-14 16:33:09 UTC
Created wordpress tracking bugs for this issue:

Affects: epel-all [bug 1878848]


Note You need to log in before you can comment on or make changes to this bug.